@charset "utf-8";

/* common----------------------------- */
.sec-title{
    font-family: "Noto Serif JP", serif;
    display: flex;
    font-size: 2.5rem;
    align-items: center;
    justify-content: center;
    font-weight: 700;
}
.sec-title img{
    max-width: 200px;
    margin: 0 10px;
}
.sec-text{
    font-family: "Noto Serif JP", serif;
    margin: 20px 0;
    text-align: center;
}
#hello-world .flow-decoration::before{
    top: calc(-1 * 20px / 3);
    right: calc(-1 * 20px / 3);
}
#hello-world .flow-decoration::after{
    width: 40px;
    height: 40px;
    bottom: calc(-1 * 40px / 4);
    left: calc(-1 * 40px / 4);
}
@media (max-width: 1024px) {
    .sec-title{
        font-size: 1.9rem;
    }
}
@media (max-width: 768px) {
    .sec-title{
        display: grid;
        grid-template-columns: auto auto;
        grid-template-rows: auto auto;
        justify-content: center;
        gap: 10px 0;
        font-size: 1.25rem;
    }
    .sec-title img{
        max-width: 180px;
    }
    .flow-decoration::before,
    .flow-decoration::after{
        display: block;
    }
    .more-btn{
        width: 40vw;
    }
}
/* intro----------------------------- */
.intro .intro-text-box .text-red{
    text-align: center;
    font-size: 1rem;
    font-weight: 500;
}
@media (max-width: 768px) {
    .intro .intro-text-box .text-red{
        font-size: 0.75rem;
    }
    .intro .sec-title > :first-child{
        grid-column: 1 / -1;
        text-align: center;
    }
    .intro .sec-title{
        gap: 10px 15px;
    }
    .intro .sec-title img{
        margin: 0;
    }
}

/* service----------------------------- */
.service-wrapper{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin: 60px 0 0;
}
.service-wrapper .service-box{
    position: relative;
    border: 3px solid #171C6180;
    padding: 20px;
    display: flex;
    flex-direction: column;
}
.service-wrapper .service-box .number{
    position: absolute;
    top: -10px;
    left: -10px;
    max-width: 80px;
}
.service-wrapper .service-box h3{
    font-family: "Noto Serif JP", serif;
    font-size: 2rem;
    text-align: center;
    margin-bottom: 30px;
    margin-left: 10%;
}
.service-wrapper .service-box p{
    margin: 20px 0;
    text-align: center;
}
.service-wrapper .service-box .more-btn{
    width: 90%;
    margin: auto auto 0;
    z-index: 1;
}
.service-wrapper .flow-decoration:nth-child(odd)::before,
.service-wrapper .flow-decoration:nth-child(even)::after{
    display: none;
}
@media (max-width: 1200px) {
    .service-wrapper .service-box .number{
        max-width: 60px;
    }
    .service-wrapper{
        grid-template-columns: repeat(2, 1fr);
        margin: 20px 0 0;
    }
}
@media (max-width: 768px) {

    .service-wrapper .service-box{
        padding: 15px 5px;
    }
    .service-wrapper .service-box h3{
        font-size: 1.15rem;
        margin-bottom: 15px;
    }
    .service-wrapper .service-box p{
        font-size: 0.68rem;
    }
    .service-wrapper .service-box .number{
        max-width: 50px;
    }
    .service-wrapper .service-box .more-btn{
        font-size: 0.65rem;
    }
    .service .decoration::before,
    .service .decoration::after{
        display: none;
    }
}
/* reason----------------------------- */
.reason{
    background-image: url(https://kaitorumon.jp/wp-content/themes/kaitorumon/assets/images/sec-bg.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.reason .decoration::before{
    top: -40px;
}
.reason .decoration::after{
    display: none;
}
.reason .reason-text-box{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
    gap: 20px 50px;
    margin: 60px 0 0;
}
.reason .reason-text-box h3{
    font-family: "Noto Serif JP", serif;
    font-size: 1.75rem;
    text-align: center;
    line-height: 1.5;
    margin: 15px 0 0;
}
@media (max-width: 1200px) {
    .reason .reason-text-box h3{
        /* ?16.8px-28px */
        font-size: clamp(1.05rem, -0.199rem + 2.5986vw, 1.75rem);
    }
}
@media (max-width: 768px) {
    .reason{
        background-image: url(https://kaitorumon.jp/wp-content/themes/kaitorumon/assets/images/sec-bg-sp.webp);
    }
    .reason .reason-text-box{
        margin: 20px 0 0;
        gap: 20px 15px;
    }
    .reason .reason-text-box h3{
        font-size: 1.05rem;
    }
}
/* goods----------------------------- */
.goods{
    background-color: #FEFBF7
}
.goods-box{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin: 60px 0;
}
.goods .sec-text{
    margin: 0;
}
.goods .decoration::before{
    display: none;
}
@media (max-width: 768px) {
    .goods .decoration::before,
    .goods .decoration::after{
        display: none;
    }
    .goods .sec-text{
        margin: 20px 0;
    }
    .goods-box{
        grid-template-columns: repeat(2, 1fr);
        margin: 0 0 20px;
    }
    .goods .sec-text span{
        font-size: 0.75rem;
    }
}
/* event----------------------------- */
.event .main-width:first-of-type{
    padding-bottom: 0;
}
.event .main-width:last-of-type{
    padding-top: 0;
}
.event h3{
    text-align: center;
    font-size: 1.3rem;
    margin: 20px 0;
}
.event-wrapper{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    max-width: 100%;
    margin: 50px 0;
}
.event-box{
    border: 3px solid #171C6180;
    padding: 20px;
    display: grid;
    grid-template-rows: auto 1fr auto 2fr;
    min-height: 200px;
}
.event-box .event-title{
    font-family: "Noto Serif JP", serif;
    font-size: 1.88rem;
    text-align: center;
    padding-bottom: 20px;
}
.event-box .event-list{
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 10px auto;
}
.event-box dl{
    align-self: end;
}
.event-box .event-list dt{
    flex-shrink: 0;
    border: 1px solid var(--main-color-blue);
    background-color: #FFF;
    padding: 2.5px 15px;
    border-radius: 5.5px;
    font-size: 1.25rem;
}
.event-box .event-list dd{
    font-size: 1.45rem;
}
.event-box .event-list dd:has(a){
    display: flex;
    width: 100%;
    align-items: center;
}
.event-box .map-box{
    width: 95%;
    margin: 20px auto;
    border-radius: 16px;
    overflow: hidden;
    aspect-ratio: 538 / 193;
}
.event-box .map-box iframe{
    width: 100%;
    height: 100%;
}
.event-box .event-list span{
    font-size: 0.75rem;
    margin-left: 5px;
}
.event-box .event-list span:has(a){
    font-size: 0.95rem;
    flex: 1;
}
.event-box .event-list span a:hover{
    opacity: 0.8;
}
.event-box .more-btn{
    background-color: var(--main-color-blue);
    color: #fff;
    padding: 10px 8%;
    box-shadow: none;
    transition: all 0.3s ease-in;
    margin: auto auto 0 10px;
    width: 50%;
}
    .event-box .more-btn::after{
        background-color: #FFF;
    }
    .event-box .more-btn:hover{
        border-color: #AD931E;
        background-color: #AD931E;
        transform: none;
    }
    #hello-world .event .flow-decoration::after{
        width: 40px;
        height: 40px;
        bottom: calc(-1 * 40px / 3);
        left: calc(-1 * 40px / 3);
    }
@media (max-width: 1200px) {
    .event-box .event-title{
        /* ? 25.12px-30.08px */
        font-size: clamp(1.57rem, 1.0169rem + 1.1508vw, 1.88rem);
    }
    .event-box .event-list dt{
        /* ?11.52px-20px */
        font-size: clamp(0.72rem, -0.2256rem + 1.9675vw, 1.25rem);
    }
    .event-box .event-list dd{
        /* ?13.6px-23.2px */
        font-size: clamp(0.85rem, -0.2205rem + 2.2274vw, 1.45rem);
    }
}
@media (max-width: 768px) {
    .event .sec-title{
        font-size: 1.5rem;
    }
    .event h3{
        font-size: 1rem;
        margin: 0;
    }
    .event .decoration::after{
        bottom: -50px;
    }
    .event-wrapper{
        grid-template-columns: repeat(1, 1fr);
        margin: 50px 0 0;
    }   
    .event-box{
        padding: 10px;
    }
    .event-box .event-title{
        font-size: 1.57rem;
        padding-bottom: 10px;
    }
    .event-box .map-box{
        aspect-ratio: 306/109;
    }
    .event-box .event-list dt{
        font-size: 0.72rem;
    }
    .event-box .event-list dd{
        font-size: 0.85rem;
    }
    .event-box .event-list span{
        font-size: 0.43rem;
    }
    .event-box .event-list span a{
        font-size: 0.63rem;
    }
    .event .event-more-btn{
        width: 50vw;
        margin-top: 30px;
    }
    .event-box .more-btn::after{
        width: 10px;
        height: 13px;
    }
    #event .flow-decoration::after{
        width: 25px;
        height: 25px;
        bottom: calc(-1 * 25px / 3);
        left: calc(-1 * 25px / 3);
    }
}
/* achieve----------------------------- */
.achieve{
    background-image: url(https://kaitorumon.jp/wp-content/themes/kaitorumon/assets/images/sec-bg.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
@media (max-width: 768px) {
    .achieve{
        background-image: url(https://kaitorumon.jp/wp-content/themes/kaitorumon/assets/images/sec-bg-sp.webp);
    }
}
/* feedback----------------------------- */
.feedback .decoration::after{
    bottom: 50px;
}
/* preparation----------------------------- */
.preparation span{

}
